> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns the engagement scores of services in an organization



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/services/engagement-scores
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/services/engagement-scores:
    get:
      tags:
        - Services
      summary: Returns the engagement scores of services in an organization
      operationId: publicGetEngagementScores
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: serviceUniqueNames
          required: false
          in: query
          description: Comma separated service unique names. Accepts multiple options.
          schema:
            example: github,gitlab
            type: string
        - name: categoryIds
          required: false
          in: query
          description: Comma separated category ids. Accepts multiple options.
          schema:
            example: 1,2,3
            type: string
        - name: startDate
          required: true
          in: query
          description: Start date for the engagement scores calculation.
          schema:
            format: date
            example: '2023-01-01'
            type: string
        - name: endDate
          required: true
          in: query
          description: End date for the engagement scores calculation.
          schema:
            format: date
            example: '2023-02-01'
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetEngagementScoresResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    PublicGetEngagementScoresResponseDto:
      type: object
      properties:
        services:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicServiceEngagementScore'
        meta:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/MetaCurrencyDto'
      required:
        - services
        - meta
    PublicServiceEngagementScore:
      type: object
      properties:
        serviceUniqueName:
          type: string
          readOnly: true
          example: miro
        serviceName:
          type: string
          readOnly: true
          example: Miro
        totalIds:
          type: number
          readOnly: true
          example: 30
        engagementScore:
          type: number
          nullable: true
          readOnly: true
          example: 8
        payment:
          type: number
          example: 230000
        categoryId:
          type: number
          example: 1
      required:
        - serviceUniqueName
        - serviceName
        - totalIds
        - engagementScore
        - payment
        - categoryId
    MetaCurrencyDto:
      type: object
      properties:
        currency:
          type: string
          readOnly: true
          example: jpy
      required:
        - currency
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````